require 'httparty'

module TT2
  # The TT2 API client
  class Client < API
    Dir[File.expand_path('../client/*.rb', __FILE__)].each { |f| require f }

    include ServerTime

    def initialize(player_id:, auth_token:)
      @player_id = player_id
      @auth_token = auth_token

      reset_time
    end
  end
end
